classification
Title: crosscompilation fails with clang on android
Type: compile error Stage: resolved
Components: Cross-Build Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Alex.Willmer, iritkatriel, muhzi
Priority: normal Keywords:

Created on 2019-02-10 11:48 by muhzi, last changed 2020-11-30 10:17 by iritkatriel. This issue is now closed.

Messages (3)
msg335149 - (view) Author: (muhzi) Date: 2019-02-10 12:03
Trying to cross compile python for android using NDK r19. but I keep facing a linker error.

x86_64-linux-android21-clang -pie -L~/Android/Sdk/ndk-bundle/platforms/android-21/arch-x86_64/usr/lib64 -Xlinker -export-dynamic -o python \
                Modules/python.o \
                -L. -lpython2.7 -ldl    -lm  
./libpython2.7.so: error: undefined reference to 'nl_langinfo'
clang: error: linker command failed with exit code 1 (use -v to see invocation)
msg335203 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2019-02-11 08:56
This problem has been fixed in python 3.7.

Most of the changes made to fix the problems of cross-building python for android have been done on python 3.7.
msg382137 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-11-30 10:17
Python 2 issue, fixed in Python 3.7.
History
Date User Action Args
2020-11-30 10:17:13iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg382137

resolution: out of date
stage: resolved
2019-12-10 08:07:33xdegayesetnosy: - xdegaye
2019-02-11 08:56:21xdegayesetmessages: + msg335203
2019-02-10 13:24:33xtreaksetnosy: + xdegaye
2019-02-10 12:03:16muhzisetmessages: + msg335149
2019-02-10 11:48:46muhzicreate